package de.unikoblenz.fgbks.base.utils.boundary.checker;

import de.unikoblenz.fgbks.base.utils.boundary.impl.StringBoundary;

public class CheckStringNotInContact extends AbstractBoundaryCheck<StringBoundary> {

  private static CheckStringNotInContact instance = new CheckStringNotInContact();

  public static CheckStringNotInContact getInstance() {
    return instance;
  }

  @Override
  public BoundaryCheckType getType() {
    return BoundaryCheckType.IS_NOT_IN_CONTACT;
  }

  @Override
  public boolean check(StringBoundary b1, StringBoundary b2) {
    return checkNotInContact(b1, b2);
  }

  public static boolean checkNotInContact(StringBoundary b1, StringBoundary b2) {
    return !CheckStringInContact.checkInContact(b1, b2);
  }
}
